Subject: is there a cl.exe wrapper for cygwin
From: Jonathan Wilson <[email-masked]>
To: [email-masked]
Date: Fri, 29 Mar 2002 20:12:21 +0800
Newsgroups: gmane.os.cygwin

Basicly, I want a program called cl.exe that will take MS command line 
arguments and translate them into GCC args then call GCC.
It should also return any error codes from gcc back to the caller so 
that e.g. a make process can act on it.
Does such a thing exist? (and one for lib, link & rc as well)  If not, I 
would like to make one, I know most of how to do it, only thing I dont 
know is what code to use to execute gcc once the arguments are passed, 
what code to use to wait until gcc has finised and what code to use to 
pass the return code from gcc back to the process that called the cl stub.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/